Company Business Model
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/business_model/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/business_model/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/business_model/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "<string>",
"business_model": {}
},
"credits_consumed": 123
}Core APIs
Company Business Model API
GTM, revenue model, channels, pricing.
GET
/
v1
/
company
/
enrichment
/
business_model
/
{company}
Company Business Model
Overview
The Company Business Model API returns thebusiness_model section of a company as a standalone endpoint.
Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/enrichment/business_model/{company}/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Header Parameters
string
required
Your API key.
Path Parameters
string
required
Company website (e.g.
canva.com) or a company UUID (e.g. 00031n-tesla). The UUID can be obtained from the Company Search API.Example Request
GET /v1/company/enrichment/business_model/canva.com
x-api-key: <your_api_key>
Response
Successful Response Fields
Returns a JSON object with the following structure:float
Number of credits consumed (2 per call).
object
Business Model payload for the requested company.
Show properties
Show properties
string
Akta UUID of the requested company.
object
The
business_model section payload.Authorizations
API key obtained from your Akta account.
Path Parameters
Company website (e.g. 'canva.com') or a company UUID (e.g. '00031n-tesla'). The UUID can be obtained from the Company Search API.
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=6e183af2c7498a76797d0c8d9a81b986)
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=7702c636c517001e39df24a084a9728d)